## libvmime 0.9.2

=== CMakeLists.txt ===
#
# CMake configuration file for VMime
#
# Usage:
#
# . 'cmake -LH' to list build settings variable
#
# . 'cmake -G <generator>' to generate makefiles for a build system
#   eg. cmake -G "Unix Makefiles"
#
# For more information, please visit:
# http://www.cmake.org
#

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.6 FATAL_ERROR)

INCLUDE(cmake/Utils.cmake)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckIncludeFileCXX)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckSymbolExists)
INCLUDE(CheckTypeSize)
INCLUDE(CheckLibraryExists)
INCLUDE(CheckCXXSourceCompiles)


# CMake configuration
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY build/bin)
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY build/lib)
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY build/lib)

SET(CMAKE_VERBOSE_MAKEFILE ON)


# Project
PROJECT(vmime)

# Package version number
SET(VMIME_VERSION_MAJOR  0)
SET(VMIME_VERSION_MINOR  9)
SET(VMIME_VERSION_MICRO  2)

# API version number (libtool)
#
# Increment this number only immediately before a public release.
# This is independent from package version number.
#
# See: http://semver.org/
#
# . Implementation changed (eg. bug/security fix):  REVISION++
# . Interfaces added/removed/changed:               CURRENT++, REVISION=0
# . Interfaces added (upward-compatible changes):   AGE++
# . Interfaces removed:                             AGE=0
SET(VMIME_API_VERSION_CURRENT   1)
SET(VMIME_API_VERSION_REVISION  0)
SET(VMIME_API_VERSION_AGE       0)


SET(VMIME_VERSION ${VMIME_VERSION_MAJOR}.${VMIME_VERSION_MINOR}.${VMIME_VERSION_MICRO})
SET(VMIME_API_VERSION ${VMIME_API_VERSION_CURRENT}.${VMIME_API_VERSION_REVISION}.${VMIME_API_VERSION_AGE})


##############################################################################
# VMime Library

# Set base name
SET(VMIME_LIBRARY_NAME vmime)

# Source files
FILE(
	GLOB_RECURSE
	VMIME_LIBRARY_SRC_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/src/vmime/*.cpp
)

FILE(
	GLOB_RECURSE
	VMIME_LIBRARY_INCLUDE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/src/vmime/*.hpp
)

LIST(APPEND VMIME_LIBRARY_GENERATED_INCLUDE_FILES "${CMAKE_BINARY_DIR}/src/vmime/config.hpp")

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}          # for "contrib/"
	${CMAKE_CURRENT_SOURCE_DIR}/src      # for "vmime/
	${CMAKE_BINARY_DIR}/src              # for "config.hpp"
)

INCLUDE(GenerateExportHeader)
ADD_COMPILER_EXPORT_FLAGS()

# Shared library
OPTION(
	VMIME_BUILD_SHARED_LIBRARY
	"Build shared library"
	ON
)

IF(VMIME_BUILD_SHARED_LIBRARY)

	ADD_LIBRARY(
		${VMIME_LIBRARY_NAME}
		SHARED
		${VMIME_LIBRARY_SRC_FILES}
		${VMIME_LIBRARY_INCLUDE_FILES}
	)

	GENERATE_EXPORT_HEADER(
		${VMIME_LIBRARY_NAME}
		BASE_NAME VMIME
		STATIC_DEFINE VMIME_STATIC
		EXPORT_FILE_NAME export-shared.hpp
	)

	FILE(
		COPY
		${CMAKE_CURRENT_BINARY_DIR}/export-shared.hpp
		DESTINATION
		${CMAKE_BINARY_DIR}/src/vmime
	)

	LIST(APPEND VMIME_LIBRARY_GENERATED_INCLUDE_FILES "${CMAKE_BINARY_DIR}/src/vmime/export-shared.hpp")

	SET_TARGET_PROPERTIES(
		${VMIME_LIBRARY_NAME}
		PROPERTIES
		VERSION    "${VMIME_API_VERSION}"
		SOVERSION  "${VMIME_API_VERSION_CURRENT}"
		COMPILE_FLAGS -DVMIME_SHARED
	)

ENDIF()

# Static library
#
# Note: cannot have two targets with the same name so the static version has
# '-static' appended and then the name of the output file is set separately.
OPTION(
	VMIME_BUILD_STATIC_LIBRARY
	"Build static library"
	ON
)

IF(VMIME_BUILD_STATIC_LIBRARY)

	ADD_LIBRARY(
		${VMIME_LIBRARY_NAME}-static
		STATIC
		${VMIME_LIBRARY_SRC_FILES}
		${VMIME_LIBRARY_INCLUDE_FILES}
	)

	GENERATE_EXPORT_HEADER(
		${VMIME_LIBRARY_NAME}-static
		BASE_NAME VMIME
		STATIC_DEFINE VMIME_STATIC
		EXPORT_FILE_NAME export-static.hpp
	)

	FILE(
		COPY
		${CMAKE_CURRENT_BINARY_DIR}/export-static.hpp
		DESTINATION
		${CMAKE_BINARY_DIR}/src/vmime
	)

	LIST(APPEND VMIME_LIBRARY_GENERATED_INCLUDE_FILES "${CMAKE_BINARY_DIR}/src/vmime/export-static.hpp")

	SET_TARGET_PROPERTIES(
		${VMIME_LIBRARY_NAME}-static
		PROPERTIES
		OUTPUT_NAME  ${VMIME_LIBRARY_NAME}
		COMPILE_FLAGS -DVMIME_STATIC
	)

ENDIF()

# Ensure at least one type of library (either shared or static) is build
IF(NOT(VMIME_BUILD_SHARED_LIBRARY OR VMIME_BUILD_STATIC_LIBRARY))
	MESSAGE(FATAL_ERROR "You should select at least one library to build (either VMIME_BUILD_SHARED_LIBRARY or VMIME_BUILD_STATIC_LIBRARY must be set to YES.")
ENDIF()

# These next two lines are required but it is unclear exactly what they do.
# The CMake FAQ mentions they are necessary and it does not work otherwise.
IF(VMIME_BUILD_SHARED_LIBRARY)
	SET_TARGET_PROPERTIES(${VMIME_LIBRARY_NAME} PROPERTIES CLEAN_DIRECT_OUTPUT 1)
ENDIF()
IF(VMIME_BUILD_STATIC_LIBRARY)
	SET_TARGET_PROPERTIES(${VMIME_LIBRARY_NAME}-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
ENDIF()

SET(CMAKE_INSTALL_LIBDIR lib CACHE PATH "Output directory for libraries")

# Automatically set lib suffix
IF(UNIX AND NOT APPLE AND NOT CMAKE_CROSSCOMPILING AND NOT EXISTS "/etc/debian_version")
	IF(CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT LIB_SUFFIX)
		# ...only if LIB_SUFFIX is not defined...
		IF(NOT DEFINED LIB_SUFFIX)
			# ...and if CMAKE_INSTALL_LIBDIR does not already contain the suffix
			IF(NOT "${CMAKE_INSTALL_LIBDIR}" MATCHES ".*64.*")
				SET(LIB_SUFFIX 64)
			ENDIF()
		ENDIF()
	ENDIF()
ENDIF()

# Determine library installation dir, in this order:
#   1) use VMIME_INSTALL_LIBDIR if set
#   2) use LIB_INSTALL_DIR if defined
#   3) use CMAKE_INSTALL_LIBDIR if set
#      if it is a relative path, prepend CMAKE_INSTALL_PREFIX to it
#   4) use CMAKE_INSTALL_PREFIX/lib
IF(NOT DEFINED VMIME_INSTALL_LIBDIR)
	IF(DEFINED LIB_INSTALL_DIR)
		SET(VMIME_INSTALL_LIBDIR ${LIB_INSTALL_DIR})
	# respect CMAKE_INSTALL_LIBDIR if set
	ELSEIF(DEFINED CMAKE_INSTALL_LIBDIR)
		SET(VMIME_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR})
		IF(IS_ABSOLUTE ${VMIME_INSTALL_LIBDIR})
			SET(VMIME_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR}${LIB_SUFFIX})
		ELSE()
			SET(VMIME_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}${LIB_SUFFIX})
		ENDIF()
	ELSE()
		SET(VMIME_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
	ENDIF()
ENDIF()

# Installation of libraries
IF(VMIME_BUILD_SHARED_LIBRARY)
	INSTALL(
		TARGETS ${VMIME_LIBRARY_NAME}
		LIBRARY DESTINATION "${VMIME_INSTALL_LIBDIR}" COMPONENT sharedlibs
		ARCHIVE DESTINATION "${VMIME_INSTALL_LIBDIR}" COMPONENT sharedlibs
	)
ENDIF()

IF(VMIME_BUILD_STATIC_LIBRARY)
	INSTALL(
		TARGETS ${VMIME_LIBRARY_NAME}-static
		LIBRARY DESTINATION "${VMIME_INSTALL_LIBDIR}" COMPONENT staticlibs
		ARCHIVE DESTINATION "${VMIME_INSTALL_LIBDIR}" COMPONENT staticlibs
	)
ENDIF()

# Installation of header files
INSTALL_HEADERS_WITH_DIRECTORY(VMIME_LIBRARY_INCLUDE_FILES headers "${CMAKE_SOURCE_DIR}/src/")
INSTALL_HEADERS_WITH_DIRECTORY(VMIME_LIBRARY_GENERATED_INCLUDE_FILES headers "${CMAKE_BINARY_DIR}/src")

#INSTALL(
#	FILES ${VMIME_LIBRARY_INCLUDE_FILES}
#	DESTINATION include
#	COMPONENT headers
#)


##############################################################################
# Tests

OPTION(
	VMIME_BUILD_TESTS
	"Build unit tests (this will create a 'run-tests' binary)"
	OFF
)

IF(VMIME_BUILD_TESTS)

	ENABLE_TESTING()

	INCLUDE(cmake/FindCppUnit.cmake)
	INCLUDE_DIRECTORIES(${CPPUNIT_INCLUDE_DIR})

	FILE(
		GLOB_RECURSE
		VMIME_TESTS_SRC_FILES
		${CMAKE_SOURCE_DIR}/tests/*Test.cpp
	)

	ADD_LIBRARY(
		test-runner
		${CMAKE_SOURCE_DIR}/tests/testRunner.cpp ${CMAKE_SOURCE_DIR}/tests/testUtils.cpp
	)

	# Build one file for each test
	FOREACH(VMIME_TEST_SRC_FILE ${VMIME_TESTS_SRC_FILES})

		# "/path/to/vmime/tests/module/testFile.cpp" --> "module_testFile"
		GET_FILENAME_COMPONENT(VMIME_TEST_SRC_PATH "${VMIME_TEST_SRC_FILE}" PATH)
		STRING(REPLACE "${CMAKE_SOURCE_DIR}" "" VMIME_TEST_SRC_PATH "${VMIME_TEST_SRC_PATH}")
		GET_FILENAME_COMPONENT(VMIME_TEST_NAME "${VMIME_TEST_SRC_FILE}" NAME_WE)
		SET(VMIME_TEST_NAME "${VMIME_TEST_SRC_PATH}/${VMIME_TEST_NAME}")
		STRING(REPLACE "/" "_" VMIME_TEST_NAME "${VMIME_TEST_NAME}")
		STRING(REPLACE "_tests_" "" VMIME_TEST_NAME "${VMIME_TEST_NAME}")

		ADD_EXECUTABLE(
			${VMIME_TEST_NAME}
			${VMIME_TEST_SRC_FILE}
		)

		TARGET_LINK_LIBRARIES(
			${VMIME_TEST_NAME}
			${VMIME_LIBRARY_NAME}
			${CPPUNIT_LIBRARY} test-runner
		)

		ADD_DEPENDENCIES(
			${VMIME_TEST_NAME}
			${VMIME_LIBRARY_NAME}
		)

		ADD_TEST(
			${VMIME_TEST_NAME}
			${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${VMIME_TEST_NAME}
		)

	ENDFOREACH()

	# Build one file for all tests
	ADD_EXECUTABLE(
		"run-tests"
		${VMIME_TESTS_SRC_FILES}
	)

	TARGET_LINK_LIBRARIES(
		"run-tests"
		${VMIME_LIBRARY_NAME}
		${CPPUNIT_LIBRARY} test-runner
	)

	ADD_DEPENDENCIES(
		"run-tests"
		${VMIME_LIBRARY_NAME}
	)

ENDIF()


##############################################################################
# Examples

OPTION(
	VMIME_BUILD_SAMPLES
	"Build samples (in 'examples' directory)"
	ON
)


##############################################################################
# Packaging / Distribution

# Package information
SET(VMIME_PACKAGE_NAME         ${VMIME_LIBRARY_NAME})
SET(VMIME_PACKAGE_VERSION      ${VMIME_VERSION})
SET(VMIME_PACKAGE_CONTACT      "Vincent Richard <vincent@vmime.org>")
SET(VMIME_PACKAGE_DESCRIPTION  "VMime C++ Mail Library (http://www.vmime.org)")

SET(CPACK_PACKAGE_NAME                 "${VMIME_PACKAGE_NAME}")
SET(CPACK_PACKAGE_CONTACT              "${VMIME_PACKAGE_CONTACT}")
SET(CPACK_PACKAGE_DESCRIPTION          "${VMIME_PACKAGE_DESCRIPTION}")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY  "${CPACK_PACKAGE_DESCRIPTION}")
SET(CPACK_PACKAGE_VERSION              "${VMIME_PACKAGE_VERSION}")

# Package settings
SET(CPACK_RESOURCE_FILE_LICENSE        ${CMAKE_SOURCE_DIR}/COPYING)

IF(APPLE)
	# CPack/PackageManager won't allow file without recognized extension
	# to be used as license file.
	CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/COPYING" "${CMAKE_BINARY_DIR}/COPYING.txt" COPYONLY)
	SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_BINARY_DIR}/COPYING.txt")
ELSE()
	SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
ENDIF(APPLE)

SET(CPACK_SOURCE_GENERATOR             TGZ)
SET(CPACK_SOURCE_IGNORE_FILES          "\\\\.git;~$;build/")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME     ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})

# Set components
SET(CPACK_COMPONENTS_ALL sharedlibs staticlibs headers)

SET(CPACK_COMPONENT_SHAREDLIBS_DISPLAY_NAME "Shared libraries")
SET(CPACK_COMPONENT_SHAREDLIBS_DESCRIPTION
	"Shared library for general use.")

SET(CPACK_COMPONENT_STATICLIBS_DISPLAY_NAME "Static libraries")
SET(CPACK_COMPONENT_STATICLIBS_DESCRIPTION
	"Static library, good if you want to embed VMime in your application.")

SET(CPACK_COMPONENT_HEADERS_DISPLAY_NAME "C++ Headers")
SET(CPACK_COMPONENT_HEADERS_DESCRIPTION
	"C/C++ header files.")

SET(CPACK_COMPONENT_SHAREDLIBS_GROUP "Development")
SET(CPACK_COMPONENT_STATICLIBS_GROUP "Development")
SET(CPACK_COMPONENT_HEADERS_GROUP    "Development")
SET(CPACK_COMPONENT_GROUP_DEVELOPMENT_DESCRIPTION "")

# Make a target "dist" to generate tarball
SET(ARCHIVE_NAME ${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION})

ADD_CUSTOM_TARGET(
	dist
	COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
	| bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# PkgConfig
SET(prefix      ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
SET(includedir  ${CMAKE_INSTALL_PREFIX}/include/vmime)
SET(libdir      ${VMIME_INSTALL_LIBDIR})

SET(VMIME_PKGCONFIG_LIBS     "")
SET(VMIME_PKGCONFIG_CFLAGS   "")
SET(VMIME_PKGCONFIG_REQUIRES "")


##############################################################################
# Build type

IF(NOT CMAKE_BUILD_TYPE)
	SET(
		CMAKE_BUILD_TYPE
		"Debug"
		CACHE STRING
		"Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
		FORCE
	)
ENDIF(NOT CMAKE_BUILD_TYPE)

# Set a default build type for single-configuration
# CMake generators if no build type is set.
IF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Debug)
ENDIF()

# Debug build
MESSAGE("-- Build type: ${CMAKE_BUILD_TYPE}")
IF(${CMAKE_BUILD_TYPE} STREQUAL Debug)
	ADD_DEFINITIONS(-DDEBUG)

=== examples/CMakeLists.txt ===

IF(VMIME_BUILD_SAMPLES)

	ADD_SUBDIRECTORY(viewer)

	FILE(
		GLOB
		VMIME_SAMPLES_SRC_FILES
		${CMAKE_SOURCE_DIR}/examples/*.cpp
	)

	# Build one file for each sample
	FOREACH(VMIME_SAMPLE_SRC_FILE ${VMIME_SAMPLES_SRC_FILES})

		GET_FILENAME_COMPONENT(VMIME_SAMPLE_NAME "${VMIME_SAMPLE_SRC_FILE}" NAME_WE)

		ADD_EXECUTABLE(
			${VMIME_SAMPLE_NAME}
			${VMIME_SAMPLE_SRC_FILE}
		)

		TARGET_LINK_LIBRARIES(
			${VMIME_SAMPLE_NAME}
			${VMIME_LIBRARY_NAME}
		)

		ADD_DEPENDENCIES(
			${VMIME_SAMPLE_NAME}
			${VMIME_LIBRARY_NAME}
		)

	ENDFOREACH()

ELSE()

	MESSAGE(FATAL_ERROR "Examples are not to be built (set VMIME_BUILD_SAMPLES to YES.")

ENDIF()

=== doc/book/Makefile ===

all: book

convert-images:
	cd images ; make

book: book_pdf book_html

# Full build: multiple runs for correct references...
book_pdf: convert-images
	pdflatex book.tex
	pdflatex book.tex
	pdflatex book.tex

book_html: convert-images
	hevea book.tex
	hevea book.tex
	hevea book.tex
	#latexml --path=/opt/local/share/texmf-texlive-dist/tex/latex/base/ --path=/opt/local/share/texmf-texlive-dist/tex/latex/mdwtools/ --path=/opt/local/share/texmf-texlive-dist/tex/latex/geometry/ --path=/opt/local/share/texmf-texlive-dist/tex/latex/ucs/ --path=/opt/local/share/texmf-texlive-dist/tex/latex/fancyhdr/ --path=/opt/local/share/texmf-texlive-dist/tex/latex/footmisc --destination book.xml book.tex
	#latexmlpost --destination=book.html book.xml

# Only one run for development (faster)
book-dev: convert-images
	pdflatex book.tex

clean:
	rm -f *.log *.aux *.toc *.out *.pdf *.lo[flt]
	rm -f *.haux *.htoc book.image.tex book.html

=== examples/viewer/CMakeLists.txt ===

IF(VMIME_BUILD_SAMPLES)

	FIND_PACKAGE(PkgConfig REQUIRED)
	PKG_CHECK_MODULES(GTK3 REQUIRED gtk+-3.0)

	INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
	LINK_DIRECTORIES(${GTK3_LIBRARY_DIRS})
	ADD_DEFINITIONS(${GTK3_CFLAGS_OTHER})

	ADD_EXECUTABLE(
		viewer
		viewer.cpp
	)

	TARGET_LINK_LIBRARIES(
		viewer
		${VMIME_LIBRARY_NAME}
		${GTK3_LIBRARIES}
	)

	ADD_DEPENDENCIES(
		viewer
		${VMIME_LIBRARY_NAME}
	)

ELSE()

	MESSAGE(FATAL_ERROR "Examples are not to be built (set VMIME_BUILD_SAMPLES to YES.")

ENDIF()

=== doc/book/images/Makefile ===
# Either Inkscape or ImageMagick is needed for converting from SVG to PNG.
# Please note that Inkscape gives better results, though.

SHELL=bash  # fix for 'echo -n' on MacOS X

build-makefile:
	@echo "# Auto-generated file" > Makefile2
	@echo ".SUFFIXES: .png .svg" >> Makefile2
	@echo -n "foo: " >> Makefile2
	@for f in *.svg ; do (echo -n `basename "$$f" .svg`'.png ') >> Makefile2 ; done
	@echo >> Makefile2
	@echo "	@echo -n" >> Makefile2
	@echo ".svg.png:" >> Makefile2
	@echo '	echo Converting $$<' >> Makefile2
	@echo '	( inkscape -b "#ffffff" -w 1000 -e $$@ $$< || convert -background none -density 300 -resize 1000x $$< $$@ )' >> Makefile2
	@make -f Makefile2

=== cmake/cmake-cxx11/Tests/Module/CXX11Features/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3 FATAL_ERROR)
project(Cxx11Features CXX)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../../Modules")

include(CheckCXX11Features)

foreach (flag IN ITEMS
        HAS_CXX11_AUTO
        HAS_CXX11_AUTO_RET_TYPE
        HAS_CXX11_CLASS_OVERRIDE
        HAS_CXX11_CONSTEXPR
        HAS_CXX11_CSTDINT_H
        HAS_CXX11_DECLTYPE
        HAS_CXX11_FUNC
        HAS_CXX11_INITIALIZER_LIST
        HAS_CXX11_LAMBDA
        HAS_CXX11_LIB_REGEX
        HAS_CXX11_LONG_LONG
        HAS_CXX11_NULLPTR
        HAS_CXX11_RVALUE_REFERENCES
        HAS_CXX11_SIZEOF_MEMBER
        HAS_CXX11_STATIC_ASSERT
        HAS_CXX11_VARIADIC_TEMPLATES
        )
    if (${flag})
        add_definitions("-D${flag}")
        message(STATUS "Compiler C++11 support flag ${flag} set")
    endif ()
endforeach (flag)

set(CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${CXX11_COMPILER_FLAGS})
add_executable(CXX11Features cxx11features.cxx)

=== debian/changelog ===
libvmime (0.9.2-9) unstable; urgency=medium

  * [98e9e27] Rebuild patch queue from patch-queue branch
    - Added patch:
      fixes/build-upgrade-to-C-17-when-ICU-is-used-310.patch
    (Closes: #1092310)
  * [1e69daf] d/rules: Also remove $(DEB_BUILD_DIR) while dh_clean
    (Closes: #1047941)
  * d/control: Bump Standards-Version to 4.7.2
    - No further changes needed.
  * d/*: Run wrap-and-sort -ast
  * d/libvmime1t64.lintian-overrides Drop sequencer file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 10:31:17 +0200

libvmime (0.9.2-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062728

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:08:10 +0000

libvmime (0.9.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libgsasl7-dev into libgsasl-dev following Debian
    package renaming (Closes: #1051031)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 00:08:37 +0200

libvmime (0.9.2-8) unstable; urgency=medium

  * [4fe0f91] Rebuild patch queue from patch-queue branch
    - added patch:
      fixes/Compatibility-Use-C99-C-analogues-for-TRUE-FALSE.patch
      Adding C99 / C++ compatible true/false defines.
      Thanks László Böszörményi for this prepared patch!
   (Closes: #1004036)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Jan 2022 12:20:47 +0100

libvmime (0.9.2-7) unstable; urgency=medium

  [ Simon Josefsson ]
  * [b30c950] Rebuild patch queue from patch-queue branch
    - Adding Don-t-use-deprecated-gsasl-symbols.patch
    (Closes: #997850)

  [ Carsten Schoenert ]
  * [22576d7] d/control: Bump Standards-Version to 4.6.0
    - No further changes needed.
  * [baa26d4] d/libvmime-dev.examples: Install also the examples folder
  * [5cda606] d/u/metadata: Adding some basic metadata

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 27 Oct 2021 20:25:21 +0200

libvmime (0.9.2-6) unstable; urgency=medium

  * [d53cb5c] d/control: Update Vcs URLs to Salsa
    - The packaging tree has moved to Salsa in the past, reflecting this by
      adjusting the Vcs fields.
  * [c888548] d/watch: Update to version 4
  * [d373804] rebuild patch queue from patch-queue branch
    - added patch:
      fixes/Avoid-extern-C-blocks-around-ICU-includes.patch
      Fixes a FBFS if ICU >= 67.1 gets build. But also doesn't harm a
      rebuild with current available ICU version in unstable/testing.
      Thanks László Böszörményi for pointing to this fix!
   (Closes: #960240)
  * [e9122c3] dh: move to dh-compat 13
    - Update the required debhelper version to recent version. No further
      adjusting is needed.
  * [cbe37de] d/libvmime1.symbols: adding Build-Depends-Package
  * [1001369] d/rules: remove --parallel from default target
    - This option for the default target isn't needed now anymore.
  * [98c35af] d/control: d/control: adding Rules-Requires-Root to source section
  * [772827a] d/control: increase Standards-Version to 4.5.0
    - No further changes needed.
  * [0b9eb48] d/control: Update Maintainer email contact address

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 09:26:12 +0200

libvmime (0.9.2-5) unstable; urgency=medium

  * [b1bc227] rebuild patch queue from patch-queue branch
    - modified patch:
      adding-alternative-getThreadId-implementation.patch ->
       porting-kfreebsd-hurd/adding-alternative-getThreadId-implementation.patch
      Thanks Aaron M. Ucko!
    (Closes: #875729)
  * [3fbf367] debian/control: increase Standards-Version to 4.1.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Oct 2017 20:55:31 +0200

libvmime (0.9.2-4) unstable; urgency=medium

  * [d86a981] rebuild patch queue from patch-queue branch
    - Adding adding-alternative-getThreadId-implementation.patch
      to add an alternative getThreadId() function on non Posix platforms
      like kFreeBSD* and Hurd.
      Patch based on work from the BSD people.
    (Closes: #875456)
  * [008eff7] libvmime1.symbols: adding a symbols file
  * [9becf26] debian/rules: remove override_dh_makeshlibs
  * [e098848] debian/control: increase Standards-Version to 4.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Sep 2017 19:52:28 +0200

libvmime (0.9.2-3) unstable; urgency=medium

  * [27a494d] debian/control: increase Standards-Version to 4.0.0
  * [35b3286] use make syntax for DEB_HOST_MULTIARCH substitution
  * [93a1268] debian/rules: use dh_makeshlibs with needed symbol version
    - GCC-7 is now the default compiler, let makeshlibs add the correct symbol
      version to the package.
    (Closes: #871303)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 08 Aug 2017 16:01:21 -0400

libvmime (0.9.2-2) unstable; urgency=medium

  * upload to unstable
  * [840506b] debian/gbp.conf: adjust to debian/sid

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2017 20:38:46 +0200

libvmime (0.9.2-1) experimental; urgency=medium

  * [7bd007d] libvmime-dev: remove Multi-Arch: same declaration
    - The -dev package don't really need a Multi-Arch: same flag
  * [cbd870a] debian/watch: adjust file after a first tag on GitHub
  * [a4be564] New upstream version 0.9.2
  * [a937065] rebuild patch queue from patch-queue branch
    - Removing all the old patches, they not needed anymore
    - Adding a new typo fixing patch that is also accepted upstream
  * [1a728f3] debian/control: adjust B-D for vmime 0.9.2
    - Upstream switched to cmake as build system
    - Also we need now libgtk3-dev and sendmail as Build-Depends
  * [a3f86e7] debian/rules: modify override targets to new vmime requirements
    - Reworking debian/rules so we can use the dh-seqencers with the cmake
      system from upstream
  * [a3d78a9] libvmime0 -> libvmime1: API change to v1.0.0
    - The API version has now changed from 0.0.0 to 1.0.0
  * [feffe05] debian/control: libvmime-dev; adopt needed changes for Depends


=== debian/control ===
Source: libvmime
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 cmake,
 libgnutls28-dev (>= 3.4.0),
 libgsasl-dev,
 libgtk-3-dev,
 sendmail,
Build-Depends-Indep:
 asciidoc-base,
 doxygen,
 graphviz,
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Section: libs
Vcs-Git: https://salsa.debian.org/giraffe-team/libvmime.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/libvmime
Homepage: http://www.vmime.org/

Package: libvmime-dev
Section: libdevel
Architecture: any
Depends:
 libgnutls28-dev (>= 3.4.0~),
 libgsasl-dev,
 libvmime1t64 (= ${binary:Version}),
 ${misc:Depends},
Description: C++ mail library (development files)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
 .
 This package contains the development headers and the static library to
 develop applications using the libvmime.

Package: libvmime1t64
Provides:
 ${t64:Provides},
Replaces:
 libvmime1,
Breaks:
 libvmime1 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ mail library (runtime library)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.

Package: libvmime1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Recommends:
 libvmime-dev (= ${binary:Version}),
 www-browser,
Description: C++ mail library (API documentation)
 VMime is a powerful C++ class library for parsing, generating, or editing
 Internet RFC-[2]822 and MIME messages. VMime is designed to provide a fast
 and an easy way to manipulate Internet mail messages.
 .
 The recent releases of VMime also include support for using messaging
 protocols (POP3, IMAP, SMTP and maildir) with a lot of features supported:
 listing folders, downloading and adding messages to folders, extracting parts
 from message, getting and setting message flags, and a lot more.
 .
 This package contains the Doxygen generated library API HTML documentation
 for libvmime.
 They can be accessed by open /usr/share/doc/libvmime1-doc/html/index.html.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# out of tree build folder for vmime library
DEB_BUILD_DIR=debian/build
# default install folder
INSTDIR=$(CURDIR)/debian/tmp

DEB_LIBVMIME_CMAKE_OPTS := \
 -DCMAKE_C_COMPILER="$(CC)" \
 -DCMAKE_CXX_COMPILER="$(CXX)" \
 -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
 -DCMAKE_SHARED_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DCMAKE_INSTALL_PREFIX=/usr \
 -DVMIME_BUILD_SAMPLES=OFF \
 -DVMIME_INSTALL_LIBDIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
 -DVMIME_TLS_SUPPORT_LIB=gnutls \
 -G "Unix Makefiles" \
 $(CURDIR) \
 $(NULL)

PREPROCESS_FILES := $(wildcard debian/*.in)

$(PREPROCESS_FILES:.in=): %: %.in
	sed 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g' $< > $@

%:
	dh $@

override_dh_clean:
	rm -rf $(DEB_BUILD_DIR)
	dh_clean

override_dh_auto_configure:
	@echo
	@echo "######################"
	@echo "# configure libvmime #"
	@echo "######################"
	@echo
	# libvmime doesn't have preconfigured cmake options for using dh_auto_configure
	# so we need to call the cmake setup manually.
	mkdir -p $(DEB_BUILD_DIR); \
	cd $(DEB_BUILD_DIR); \
	cmake $(DEB_LIBVMIME_CMAKE_OPTS)

override_dh_auto_build-arch:
	@echo
	@echo "#####################"
	@echo "# building libvmime #"
	@echo "#####################"
	@echo
	dh_auto_build  --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)

override_dh_auto_install-arch: $(PREPROCESS_FILES:.in=)
	@echo
	@echo "#######################"
	@echo "# installing libvmime #"
	@echo "#######################"
	@echo
	dh_auto_install --destdir=$(INSTDIR) --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR)
	dh_install

override_dh_auto_build-indep:
	@echo
	@echo "##########################"
	@echo "# building documentation #"
	@echo "##########################"
	@echo
	dh_auto_build --sourcedirectory=$(CURDIR) --builddirectory=$(DEB_BUILD_DIR) -- doc
	# Removing *.md5 files generated by doxygen before dh_install will run
	# as we don't want to ship because they are useless and upstream hasn't a
	# usefull install target for the API documentation before.
	cd $(DEB_BUILD_DIR)/doc/html; \
		find  -type f -name "*.md5" -exec rm {} \;

=== debian/watch ===
# watch file for libvmime
version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//, \
  dversionmangle=s/\+dfsg(\.?\d+)?$//" \
  https://github.com/kisli/vmime/tags .*/v?(\d+\.\d+\.\d+)(-rc\d)?\.tar\.[gx]z
